# Use Debian Buster as the base image
FROM debian:buster

# Update debian
RUN apt-get update -y && apt-get upgrade -y

# Install NGINX and OpenSSL
RUN apt-get install -y nginx openssl && \
    rm -rf /var/lib/apt/lists/*

# Create directory to store ssl keys, then create them
RUN mkdir -p /etc/nginx/ssl
RUN openssl req -x509 -nodes -out /etc/nginx/ssl/inception.crt -keyout /etc/nginx/ssl/inception.key -subj "/C=FR/ST=IDF/L=Paris/O=42/OU=42/CN=sada-sil.42.fr/UID=login"

# Create directory for NGINX configurations and copy NGINX config file into it
RUN mkdir -p /var/run/nginx
COPY conf/nginx.conf /etc/nginx/nginx.conf

# Make sure the rights are correct
RUN chmod 755 /var/www
RUN chown -R www-data:www-data /var/www

# Start NGINX
CMD ["nginx", "-g", "daemon off;"]